<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateVpnProfileReq StructType
 * @subpackage Structs
 */
class UpdateVpnProfileReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The autoNetworkDetection
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $autoNetworkDetection;
    /**
     * The mtu
     * Meta information extracted from the WSDL
     * - default: 1290
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $mtu;
    /**
     * The failToConnect
     * Meta information extracted from the WSDL
     * - default: 30
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $failToConnect;
    /**
     * The clientAuthentication
     * Meta information extracted from the WSDL
     * - default: User and Password
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $clientAuthentication;
    /**
     * The pwdPersistant
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $pwdPersistant;
    /**
     * The enableHostIdCheck
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $enableHostIdCheck;
    /**
     * Constructor method for UpdateVpnProfileReq
     * @uses UpdateVpnProfileReq::setNewName()
     * @uses UpdateVpnProfileReq::setDescription()
     * @uses UpdateVpnProfileReq::setAutoNetworkDetection()
     * @uses UpdateVpnProfileReq::setMtu()
     * @uses UpdateVpnProfileReq::setFailToConnect()
     * @uses UpdateVpnProfileReq::setClientAuthentication()
     * @uses UpdateVpnProfileReq::setPwdPersistant()
     * @uses UpdateVpnProfileReq::setEnableHostIdCheck()
     * @param string $newName
     * @param string $description
     * @param string $autoNetworkDetection
     * @param string $mtu
     * @param string $failToConnect
     * @param string $clientAuthentication
     * @param string $pwdPersistant
     * @param string $enableHostIdCheck
     */
    public function __construct($newName = null, $description = null, $autoNetworkDetection = null, $mtu = '1290', $failToConnect = '30', $clientAuthentication = 'User and Password', $pwdPersistant = null, $enableHostIdCheck = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setAutoNetworkDetection($autoNetworkDetection)
            ->setMtu($mtu)
            ->setFailToConnect($failToConnect)
            ->setClientAuthentication($clientAuthentication)
            ->setPwdPersistant($pwdPersistant)
            ->setEnableHostIdCheck($enableHostIdCheck);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnProfileReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnProfileReq
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get autoNetworkDetection value
     * @return string|null
     */
    public function getAutoNetworkDetection()
    {
        return $this->autoNetworkDetection;
    }
    /**
     * Set autoNetworkDetection value
     * @param string $autoNetworkDetection
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnProfileReq
     */
    public function setAutoNetworkDetection($autoNetworkDetection = null)
    {
        $this->autoNetworkDetection = $autoNetworkDetection;
        return $this;
    }
    /**
     * Get mtu value
     * @return string|null
     */
    public function getMtu()
    {
        return $this->mtu;
    }
    /**
     * Set mtu value
     * @param string $mtu
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnProfileReq
     */
    public function setMtu($mtu = '1290')
    {
        $this->mtu = $mtu;
        return $this;
    }
    /**
     * Get failToConnect value
     * @return string|null
     */
    public function getFailToConnect()
    {
        return $this->failToConnect;
    }
    /**
     * Set failToConnect value
     * @param string $failToConnect
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnProfileReq
     */
    public function setFailToConnect($failToConnect = '30')
    {
        $this->failToConnect = $failToConnect;
        return $this;
    }
    /**
     * Get clientAuthentication value
     * @return string|null
     */
    public function getClientAuthentication()
    {
        return $this->clientAuthentication;
    }
    /**
     * Set clientAuthentication value
     * @param string $clientAuthentication
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnProfileReq
     */
    public function setClientAuthentication($clientAuthentication = 'User and Password')
    {
        $this->clientAuthentication = $clientAuthentication;
        return $this;
    }
    /**
     * Get pwdPersistant value
     * @return string|null
     */
    public function getPwdPersistant()
    {
        return $this->pwdPersistant;
    }
    /**
     * Set pwdPersistant value
     * @param string $pwdPersistant
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnProfileReq
     */
    public function setPwdPersistant($pwdPersistant = null)
    {
        $this->pwdPersistant = $pwdPersistant;
        return $this;
    }
    /**
     * Get enableHostIdCheck value
     * @return string|null
     */
    public function getEnableHostIdCheck()
    {
        return $this->enableHostIdCheck;
    }
    /**
     * Set enableHostIdCheck value
     * @param string $enableHostIdCheck
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateVpnProfileReq
     */
    public function setEnableHostIdCheck($enableHostIdCheck = null)
    {
        $this->enableHostIdCheck = $enableHostIdCheck;
        return $this;
    }
}
